Page MenuHomePhabricator

rack/setup/install/deploy labsdb1009-labsdb1011
Closed, ResolvedPublic

Description

This task will track the racking, setup, installation, and deployment of new labsdb1009, labsdb1010, & labsdb1011. These hosts were ordered on T135529.

These are HP DL380e systems, at 2U each. The current restriction is these will need to reside in the labs-support vlan. In eqiad, we only have that vlan deployed/allocated for us in rows A and C. A5 has some space, while C4 and C5 each have space. @Cmjohnson may know of other issues that I'm (@RobH) unaware of, and modify the racking assignment.

labsdb1009

  • - receive in normally via T135529
  • - rack in A1
  • - bios and ilom setup
  • - hw raid setup (raid10 of all disks)
  • - network port setup (description/enable/labs support vlan)
  • - update dns records (mgmt and production)
  • - update install_server module (Jessie, db partition recipe for hw raid)
  • - install OS
  • - accept/sign puppet/salt key
  • - service implementation

labsdb1010

  • - receive in normally via T135529
  • - rack in C4
  • - bios and ilom setup
  • - hw raid setup (raid10 of all disks)
  • - network port setup (description/enable/labs support vlan)
  • - update dns records (mgmt and production)
  • - update install_server module (Jessie, db partition recipe for hw raid)
  • - install OS
  • - accept/sign puppet/salt keys
  • - service implementation

labsdb1011

  • - receive in normally via T135529
  • - rack in C5
  • - bios and ilom setup
  • - hw raid setup (raid10 of all disks)
  • - network port setup (description/enable/labs support vlan)
  • - update dns records (mgmt and production)
  • - update install_server module (Jessie, db partition recipe for hw raid)
  • - install OS
  • - accept/sign puppet/salt keys
  • - service implementation

Related Objects

StatusAssignedTask
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedMarostegui
ResolvedMarostegui
Resolvedjcrespo
Resolvedjcrespo

Event Timeline

RobH created this task.Jun 2 2016, 6:15 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 2 2016, 6:15 PM
Restricted Application added a project: Operations. · View Herald TranscriptJun 2 2016, 6:15 PM
Restricted Application added a subscriber: Southparkfan. · View Herald Transcript
RobH reassigned this task from RobH to Cmjohnson.Jun 2 2016, 6:15 PM
RobH triaged this task as Normal priority.
RobH added a subtask: Unknown Object (Task).

I cannot rack this in A5, it is a 10G rack.

Cmjohnson added a comment.EditedJun 22 2016, 5:02 PM

labs1009 will go into A1

Cmjohnson raised the priority of this task from Normal to High.Jun 22 2016, 6:02 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson updated the task description. (Show Details)Jun 27 2016, 2:31 PM

labsdb1009 1H IN A 10.65.4.59
wmf4797 1H IN A 10.65.4.59
labsdb1010 1H IN A 10.65.4.60
wmf4798 1H IN A 10.65.4.60
labsdb1011 1H IN A 10.65.4.61
wmf4799 1H IN A 10.65.4.61

@chasemp any raid configuration requirements...Raid1+0 256k stripe?

Cmjohnson updated the task description. (Show Details)Jul 13 2016, 6:55 PM
Cmjohnson updated the task description. (Show Details)Jul 13 2016, 7:25 PM
Cmjohnson added a subscriber: jcrespo.

These are installed but puppet and salt keys have not been completed yet. @jcrespo let me know if it's okay to continue.

Consider this resolved- I can take them from here. I need to get blocked by a meeting with @chasemp before implementing this.

I will ask you to move at some point in the future labsdb1008 back to the production network as db1095, but not anytime soon.

Cmjohnson closed this task as Resolved.Jul 14 2016, 2:33 PM

per jcrespo, resolving this task...please create a new task for db1095

RobH closed subtask Unknown Object (Task) as Resolved.Oct 12 2016, 5:47 PM